NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
NXOpen.CAE.ResultParameters Class Reference

This class is worked as a packet of information that can be either be used to change result state or pass around for information exchange between two NXOpen.CAE.ResultAccess objects. More...

Inheritance diagram for NXOpen.CAE.ResultParameters:
NXOpen.TaggedObject NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe int AskSectionPlyLayer (out int section, out int ply)
 Ask section, ply and layer More...
 
unsafe void DisplayMidnodeValue (bool display)
 This is display only command. More...
 
unsafe bool GetAbsoluteValue ()
 Ask whether all values are absolute values More...
 
unsafe
NXOpen.CAE.SignalProcessingPlotData.AcousticalWeighting 
GetAcousticWeighting ()
 Get the acoustic weighting More...
 
unsafe NXOpen.CAE.Result.Averaging GetAveragingCriteria ()
 Ask averaging criteria. More...
 
unsafe
NXOpen.CAE.AxiSymmetricParameters 
GetAxiSymmetricParameters ()
 Get Axi Symmetric Parameters type More...
 
unsafe double GetBeamFilletRadius ()
 Return the fillet radius More...
 
unsafe bool GetBeamFillets ()
 Return the fillets flag More...
 
unsafe bool GetBeamResultsInLocalCoordinateSystem ()
 Identifies whether beam results are presented in local coordinate system (if true) or in the same coordinate system as the rest of the model More...
 
unsafe
NXOpen.CAE.Result.BeamSection 
GetBeamSection ()
 Ask section where Beam results are defined - same as NXOpen.CAE.ResultParameters.GetResultBeamSection apart from using CAE.Result.BeamSection instead of CAE.Result.Section More...
 
unsafe bool GetCalculateBeamStrResults ()
 Ask if beam stresses and strains are calculated from element forces and section geometry More...
 
unsafe NXOpen.CAE.Result.Complex GetComplexCriterion ()
 If result is complex it returns which component is set(like real or imaginary) More...
 
unsafe
NXOpen.CAE.Result.ComputationType 
GetComputationType ()
 Get computing type. More...
 
unsafe bool GetComputeOnVisible ()
 Ask whether elements which are not visible are to be considerd for Averaging, Summing, Gap/Discontinuity calculations More...
 
unsafe double GetConvertedDBref ()
 Ask the converted DB Reference value More...
 
unsafe
NXOpen.CAE.Result.CoordinateSystem 
GetCoordinateSystem ()
 Ask result coordinate system More...
 
unsafe
NXOpen.CAE.CyclicSymmetricParameters 
GetCyclicSymmetricParameters ()
 Get Cyclic Symmetric Parameters type More...
 
unsafe double GetDBreference ()
 Ask the dB Reference value More...
 
unsafe NXOpen.CAE.Result.DbScale GetDBscale ()
 Ask the dB Scale value More...
 
unsafe bool GetDBScaling ()
 Ask whether dB Scaling is on or not More...
 
unsafe
NXOpen.CAE.SignalProcessingDBSettings 
GetDbSettings ()
 Gets the dBSettings object required for dB Scaling More...
 
unsafe
NXOpen.CAE.Result.DiscontinuityMethod 
GetDiscontinuityMethod ()
 Ask discontinuity method More...
 
unsafe
NXOpen.CAE.Result.ElementValueCriterion 
GetElementValueCriterion ()
 Ask how element the result is defined. More...
 
unsafe bool GetExcludeElementsNotVisible ()
 Ask whether elements which are not visible are consider for summation More...
 
unsafe NXOpen.CAE.BaseResultType GetGenericResultType ()
 Ask Result type More...
 
unsafe bool GetIsReferenceNode ()
 Ask if the reference node will be used for result More...
 
unsafe int GetIteration ()
 Ask Current iteration number This method has been deprecated. More...
 
unsafe int GetLoadcase ()
 Ask Current loadcase number This method has been deprecated. More...
 
unsafe double GetPhaseAngle ()
 Ask phase angle. More...
 
unsafe int GetPlyID ()
 Gets the current Ply ID. More...
 
unsafe
NXOpen.CAE.Result.PlyLocation 
GetPlyLocation ()
 Gets the current Ply location. More...
 
unsafe
NXOpen.CAE.PostSelectionEntity 
GetReferenceNode ()
 Returns the post selection entity having the node which identifies the reference node used when plotting the result More...
 
unsafe int GetReferenceNodeLabel ()
 Returns the node label which identifies the reference node used when plotting the result More...
 
unsafe NXOpen.CAE.Result.Section GetResultBeamSection ()
 Ask section where beam results are defined This method has been deprecated. More...
 
unsafe NXOpen.CAE.Result.Component GetResultComponent ()
 Ask result component More...
 
unsafe NXOpen.CAE.Result.Location GetResultDataLocation ()
 Ask FE entity where the result is defined This method has been deprecated. More...
 
unsafe NXOpen.CAE.Result.Quantity GetResultDataQuantity ()
 Ask result type This method has been deprecated. More...
 
unsafe NXOpen.CAE.Result.Section GetResultDataSection ()
 Ask section of a FE entity where the result is defined This method has been deprecated. More...
 
unsafe NXOpen.CAE.Result.Section GetResultShellSection ()
 Ask section where shell results are defined. More...
 
unsafe NXOpen.CAE.Result.Type GetResultType ()
 Ask Result type This method has been deprecated. More...
 
unsafe
NXOpen.CAE.Post.AxisymetricAxis 
GetRotationAxisOfAbsoluteCyndricalCSYS ()
 Get axis of rotation for axisyymettric results More...
 
unsafe double GetScale ()
 Ask scale More...
 
unsafe void GetSelectedCoordinateSystem (out NXOpen.CAE.Result.CoordinateSystemSource source, out int id)
 Ask selected coordinate system in which results are to be presented More...
 
unsafe bool GetShellResultsInProjectedCoordinateSystem ()
 Identifies whether shell results in projected coordinate system (if true) or in the same coordinate system as the rest of the model More...
 
unsafe
NXOpen.CAE.Result.ShellSection 
GetShellSection ()
 Ask section where shell results are defined - same as NXOpen.CAE.ResultParameters.GetResultShellSection apart from using CAE.Result.ShellSection instead of CAE.Result.Section More...
 
unsafe
NXOpen.CAE.SignalProcessingPlotData.ScalingType 
GetSpectrumScaling ()
 Get the acoustic spectrum scaling option More...
 
unsafe
NXOpen.CAE.Result.TensorDerivedAbsolute 
GetTensorComponentAbsoluteValue ()
 Get the method used when calculating the absolute values for the derived components of CAE.Result.DataType.Tensor like CAE.Result.Component.MaximumPrincipal More...
 
unsafe NXOpen.Unit GetUnit ()
 Ask result unit More...
 
unsafe NXOpen.CAE.Result.Averaging InitAveragingCriteria ()
 Ask default averaging criteria More...
 
unsafe bool IsForcedElementResult ()
 Ask whether the result is converted as element result More...
 
unsafe bool IsMidnodeValueDisplayed ()
 Ask whether the result at mid nodes are ignored More...
 
unsafe bool IsProjectOnNodeNormal ()
 Is result vector projected on node normal More...
 
unsafe void MakeElementResult (bool elementResult)
 Make Nodal and Element-Nodal result to Element Result. More...
 
unsafe void SetAbsoluteValue (bool absolute)
 Set all values to absolute values. More...
 
unsafe void SetAcousticWeighting (NXOpen.CAE.SignalProcessingPlotData.AcousticalWeighting weighting)
 Set the acoustic weighting. More...
 
unsafe void SetAveragingCriteria (NXOpen.CAE.Result.Averaging average)
 Set averaging criteria More...
 
unsafe void SetAxiSymmetricParameters (NXOpen.CAE.AxiSymmetricParameters type)
 Set Axi Symmetric Parameters type More...
 
unsafe void SetBeamFilletRadius (double beamFilletRadius)
 Sets the fillet radius as a fraction of the adjacent dimensions More...
 
unsafe void SetBeamFillets (bool beamFillets)
 Sets the fillets flag More...
 
unsafe void SetBeamResultsInLocalCoordinateSystem (bool local)
 Presents beam results in local coordinate system (if flag is true) or in the same coordinate system as the rest of the model More...
 
unsafe void SetBeamSection (NXOpen.CAE.Result.BeamSection section)
 Set section where Beam results are defined - same as NXOpen.CAE.ResultParameters.GetResultBeamSection apart from using CAE.Result.BeamSection instead of CAE.Result.Section More...
 
unsafe void SetCalculateBeamStrResults (bool calcBeamStrResults)
 Sets a flag to calculate beam stresses and strains from element forces and section geometry (if available). More...
 
unsafe void SetComplexCriterion (NXOpen.CAE.Result.Complex complex)
 Set complex criteria More...
 
unsafe void SetComputationType (NXOpen.CAE.Result.ComputationType computeType)
 Set computing type. More...
 
unsafe void SetComputeOnVisible (bool excludeElements)
 Exclude or include elements which are not visible for Averaging, Summing, Gap/Discontinuity calculations More...
 
unsafe void SetCoordinateSystem (NXOpen.CAE.Result.CoordinateSystem coordinate)
 Set result coordinate system More...
 
unsafe void SetCyclicSymmetricParameters (NXOpen.CAE.CyclicSymmetricParameters type)
 Set Cyclic Symmetric Parameters type More...
 
unsafe void SetDBReference (double dBreference)
 Set the dB Reference value More...
 
unsafe void SetDBscale (NXOpen.CAE.Result.DbScale dbScale)
 Set the dB Scale value More...
 
unsafe void SetDBScaling (int dBscaling)
 Set the dB Scaling on or off More...
 
unsafe void SetDiscontinuityMethod (NXOpen.CAE.Result.DiscontinuityMethod discontinuity)
 Set discontinuity method More...
 
unsafe void SetElementValueCriterion (NXOpen.CAE.Result.ElementValueCriterion criteria)
 Set how element the result is defined This option is only valid for nodal and elemen-nodal result; dose not do anything for element result. More...
 
unsafe void SetExcludeElementsNotVisible (bool excludeElements)
 Exclude or include elements which are not visible for computing with sum option. More...
 
unsafe void SetGenericResultType (NXOpen.CAE.BaseResultType type)
 Set Result type More...
 
unsafe void SetIsReferenceNode (bool isReferenceNode)
 Sets the flag if the reference node will be used for result More...
 
unsafe void SetLoadcaseIteration (int loadcase, int iteration)
 Set Current loadcase and iteration. More...
 
unsafe void SetPhaseAngle (double angle)
 Sets the phase angle at which result will be evaluated. More...
 
unsafe void SetPlyID (int plyId)
 Set Ply ID More...
 
unsafe void SetPlyLocation (NXOpen.CAE.Result.PlyLocation plyLocation)
 Set Ply location More...
 
unsafe void SetProjectOnNodeNormal (bool projectOnNodeNormal)
 Project result vector on node normal More...
 
unsafe void SetReferenceNode (NXOpen.CAE.PostSelectionEntity referenceNode)
 Sets the post selection entity having the node which identifies the reference node used when plotting the result More...
 
unsafe void SetReferenceNodeLabel (int referenceNodeLabel)
 Sets the node label which identifies the reference node used when plotting the result More...
 
unsafe void SetResultBeamSection (NXOpen.CAE.Result.Section section)
 Set section where beam results are defined This method has been deprecated. More...
 
unsafe void SetResultComponent (NXOpen.CAE.Result.Component component)
 Set result component More...
 
unsafe void SetResultDataLocation (NXOpen.CAE.Result.Location location)
 Set FE entity where the result is defined This method has been deprecated. More...
 
unsafe void SetResultDataQuantity (NXOpen.CAE.Result.Quantity quantity)
 Set result quantity This method has been deprecated. More...
 
unsafe void SetResultDataSection (NXOpen.CAE.Result.Section section)
 Set section of a FE entity where the result is defined This method has been deprecated. More...
 
unsafe void SetResultShellSection (NXOpen.CAE.Result.Section section)
 Set section where shell results are defined This method has been deprecated. More...
 
unsafe void SetResultType (NXOpen.CAE.Result.Type type)
 Set Result type This method has been deprecated. More...
 
unsafe void SetRotationAxisOfAbsoluteCyndricalCSYS (NXOpen.CAE.Post.AxisymetricAxis axis)
 Set axis of rotation for axisymmetric results More...
 
unsafe void SetScale (double scale)
 Set scale. More...
 
unsafe void SetSectionPlyLayer (int section, int ply, int layer)
 Set section, ply and layer More...
 
unsafe void SetSelectedCoordinateSystem (NXOpen.CAE.Result.CoordinateSystemSource source, int id)
 Set selected coordinate system in which results are to be presented Coordinate systems labels defined in a result file can be retrieved using CAE.Result.GetResultCoordinateSystems More...
 
unsafe void SetShellResultsInProjectedCoordinateSystem (bool projected)
 Option to project a CSYS onto the frame of the shell elements. More...
 
unsafe void SetShellSection (NXOpen.CAE.Result.ShellSection section)
 Set section where shell results are defined - same as NXOpen.CAE.ResultParameters.GetResultShellSection apart from using CAE.Result.ShellSection instead of CAE.Result.Section More...
 
unsafe void SetSpectrumScaling (NXOpen.CAE.SignalProcessingPlotData.ScalingType scaling)
 Set the acoustic spectrum scaling option. More...
 
unsafe void SetTensorComponentAbsoluteValue (NXOpen.CAE.Result.TensorDerivedAbsolute absolute)
 Set the method used when calculating the absolute values for the derived components of CAE.Result.DataType.Tensor like CAE.Result.Component.MaximumPrincipal More...
 
unsafe void SetUnit (NXOpen.Unit unit)
 Set result unit More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

This class is worked as a packet of information that can be either be used to change result state or pass around for information exchange between two NXOpen.CAE.ResultAccess objects.


Use NXOpen.CAE.ResultManager to create an NXOpen.CAE.ResultParameters


You can modifiy these values but validation of correctness will only be perfomed when this object is set to a NXOpen.CAE.ResultAccess object

To obtain an instance of this class use NXOpen.Session.ResultManager .

Created in NX6.0.2

Member Function Documentation

unsafe int NXOpen.CAE.ResultParameters.AskSectionPlyLayer ( out int  section,
out int  ply 
)
inline

Ask section, ply and layer

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
section
ply
Returns
unsafe void NXOpen.CAE.ResultParameters.DisplayMidnodeValue ( bool  display)
inline

This is display only command.

Setting this value will not change modify ResultAccess queries. But Post view will ignore midnode values during display

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
display
unsafe bool NXOpen.CAE.ResultParameters.GetAbsoluteValue ( )
inline

Ask whether all values are absolute values

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.SignalProcessingPlotData.AcousticalWeighting NXOpen.CAE.ResultParameters.GetAcousticWeighting ( )
inline

Get the acoustic weighting

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.Averaging NXOpen.CAE.ResultParameters.GetAveragingCriteria ( )
inline

Ask averaging criteria.

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.AxiSymmetricParameters NXOpen.CAE.ResultParameters.GetAxiSymmetricParameters ( )
inline

Get Axi Symmetric Parameters type

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe double NXOpen.CAE.ResultParameters.GetBeamFilletRadius ( )
inline

Return the fillet radius

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe bool NXOpen.CAE.ResultParameters.GetBeamFillets ( )
inline

Return the fillets flag

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe bool NXOpen.CAE.ResultParameters.GetBeamResultsInLocalCoordinateSystem ( )
inline

Identifies whether beam results are presented in local coordinate system (if true) or in the same coordinate system as the rest of the model

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.BeamSection NXOpen.CAE.ResultParameters.GetBeamSection ( )
inline

Ask section where Beam results are defined - same as NXOpen.CAE.ResultParameters.GetResultBeamSection apart from using CAE.Result.BeamSection instead of CAE.Result.Section

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe bool NXOpen.CAE.ResultParameters.GetCalculateBeamStrResults ( )
inline

Ask if beam stresses and strains are calculated from element forces and section geometry

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.Complex NXOpen.CAE.ResultParameters.GetComplexCriterion ( )
inline

If result is complex it returns which component is set(like real or imaginary)

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.ComputationType NXOpen.CAE.ResultParameters.GetComputationType ( )
inline

Get computing type.

Created in NX7.5.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe bool NXOpen.CAE.ResultParameters.GetComputeOnVisible ( )
inline

Ask whether elements which are not visible are to be considerd for Averaging, Summing, Gap/Discontinuity calculations

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe double NXOpen.CAE.ResultParameters.GetConvertedDBref ( )
inline

Ask the converted DB Reference value

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.CoordinateSystem NXOpen.CAE.ResultParameters.GetCoordinateSystem ( )
inline

Ask result coordinate system

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.CyclicSymmetricParameters NXOpen.CAE.ResultParameters.GetCyclicSymmetricParameters ( )
inline

Get Cyclic Symmetric Parameters type

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe double NXOpen.CAE.ResultParameters.GetDBreference ( )
inline

Ask the dB Reference value

Created in NX11.0.0

Deprecated in NX12.0.0. Use NXOpen.CAE.ResultParameters.GetDbSettings instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.DbScale NXOpen.CAE.ResultParameters.GetDBscale ( )
inline

Ask the dB Scale value

Created in NX11.0.0

Deprecated in NX12.0.0. Use NXOpen.CAE.ResultParameters.GetDbSettings instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe bool NXOpen.CAE.ResultParameters.GetDBScaling ( )
inline

Ask whether dB Scaling is on or not

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.SignalProcessingDBSettings NXOpen.CAE.ResultParameters.GetDbSettings ( )
inline

Gets the dBSettings object required for dB Scaling

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.DiscontinuityMethod NXOpen.CAE.ResultParameters.GetDiscontinuityMethod ( )
inline

Ask discontinuity method

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
unsafe NXOpen.CAE.Result.ElementValueCriterion NXOpen.CAE.ResultParameters.GetElementValueCriterion ( )
inline

Ask how element the result is defined.

This option is only valid for nodal and elemen-nodal result.

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe bool NXOpen.CAE.ResultParameters.GetExcludeElementsNotVisible ( )
inline

Ask whether elements which are not visible are consider for summation

Created in NX7.5.1

Deprecated in NX12.0.0. Use NXOpen.CAE.ResultParameters.GetComputeOnVisible instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.BaseResultType NXOpen.CAE.ResultParameters.GetGenericResultType ( )
inline

Ask Result type

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe bool NXOpen.CAE.ResultParameters.GetIsReferenceNode ( )
inline

Ask if the reference node will be used for result

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe int NXOpen.CAE.ResultParameters.GetIteration ( )
inline

Ask Current iteration number This method has been deprecated.

This functionality was moved to this class NXOpen.CAE.BaseResultType , which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType .

Created in NX6.0.2

Deprecated in NX8.0.0. Use NXOpen.CAE.ResultParameters.GetGenericResultType instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe int NXOpen.CAE.ResultParameters.GetLoadcase ( )
inline

Ask Current loadcase number This method has been deprecated.

This functionality was moved to this class NXOpen.CAE.BaseResultType , which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType .

Created in NX6.0.2

Deprecated in NX8.0.0. Use NXOpen.CAE.ResultParameters.GetGenericResultType instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe double NXOpen.CAE.ResultParameters.GetPhaseAngle ( )
inline

Ask phase angle.

If complex result is set to Phaseangle type then user can specify an angle at which result will be evaluated

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe int NXOpen.CAE.ResultParameters.GetPlyID ( )
inline

Gets the current Ply ID.

A list of plies within a result type can be obtained by using NXOpen.CAE.BaseResultType.AskPlies .

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.PlyLocation NXOpen.CAE.ResultParameters.GetPlyLocation ( )
inline

Gets the current Ply location.

All the possible locations defined for a particular result type on a particular Ply can be obtained from NXOpen.CAE.BaseResultType.AskPlyLocations .

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.PostSelectionEntity NXOpen.CAE.ResultParameters.GetReferenceNode ( )
inline

Returns the post selection entity having the node which identifies the reference node used when plotting the result

Created in NX1872.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
NXOpen.CAE.PostSelectionEntity object
unsafe int NXOpen.CAE.ResultParameters.GetReferenceNodeLabel ( )
inline

Returns the node label which identifies the reference node used when plotting the result

Created in NX11.0.0

Deprecated in NX1872.0.0. use NXOpen.CAE.ResultParameters.GetReferenceNode

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.Section NXOpen.CAE.ResultParameters.GetResultBeamSection ( )
inline

Ask section where beam results are defined This method has been deprecated.

Use NXOpen.CAE.ResultParameters.GetBeamSection instead.

Created in NX7.5.0

Deprecated in NX1847.0.0. Use NXOpen.CAE.ResultParameters.GetBeamSection instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.Component NXOpen.CAE.ResultParameters.GetResultComponent ( )
inline

Ask result component

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.Location NXOpen.CAE.ResultParameters.GetResultDataLocation ( )
inline

Ask FE entity where the result is defined This method has been deprecated.

This functionality was moved to this class NXOpen.CAE.BaseResultType , which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType .

Created in NX6.0.2

Deprecated in NX8.0.0. Use NXOpen.CAE.BaseResultType.Location instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.Quantity NXOpen.CAE.ResultParameters.GetResultDataQuantity ( )
inline

Ask result type This method has been deprecated.

This functionality was moved to this class NXOpen.CAE.BaseResultType , which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType .

Created in NX6.0.2

Deprecated in NX8.0.0. Use NXOpen.CAE.ResultParameters.GetGenericResultType instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.Section NXOpen.CAE.ResultParameters.GetResultDataSection ( )
inline

Ask section of a FE entity where the result is defined This method has been deprecated.

This functionality was moved to this class NXOpen.CAE.BaseResultType , which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType .

Created in NX6.0.2

Deprecated in NX8.0.0. Use NXOpen.CAE.ResultParameters.GetGenericResultType instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.Section NXOpen.CAE.ResultParameters.GetResultShellSection ( )
inline

Ask section where shell results are defined.

This method has been deprecated. Use NXOpen.CAE.ResultParameters.GetShellSection instead.

Created in NX7.5.0

Deprecated in NX1847.0.0. Use NXOpen.CAE.ResultParameters.GetShellSection instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.Type NXOpen.CAE.ResultParameters.GetResultType ( )
inline

Ask Result type This method has been deprecated.

This functionality was moved to this class NXOpen.CAE.BaseResultType , which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType .

Created in NX6.0.2

Deprecated in NX8.0.0. Use NXOpen.CAE.ResultParameters.GetGenericResultType instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Post.AxisymetricAxis NXOpen.CAE.ResultParameters.GetRotationAxisOfAbsoluteCyndricalCSYS ( )
inline

Get axis of rotation for axisyymettric results

Created in NX10.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe double NXOpen.CAE.ResultParameters.GetScale ( )
inline

Ask scale

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe void NXOpen.CAE.ResultParameters.GetSelectedCoordinateSystem ( out NXOpen.CAE.Result.CoordinateSystemSource  source,
out int  id 
)
inline

Ask selected coordinate system in which results are to be presented

Created in NX7.5.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
source
id
unsafe bool NXOpen.CAE.ResultParameters.GetShellResultsInProjectedCoordinateSystem ( )
inline

Identifies whether shell results in projected coordinate system (if true) or in the same coordinate system as the rest of the model

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.ShellSection NXOpen.CAE.ResultParameters.GetShellSection ( )
inline

Ask section where shell results are defined - same as NXOpen.CAE.ResultParameters.GetResultShellSection apart from using CAE.Result.ShellSection instead of CAE.Result.Section

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.SignalProcessingPlotData.ScalingType NXOpen.CAE.ResultParameters.GetSpectrumScaling ( )
inline

Get the acoustic spectrum scaling option

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.TensorDerivedAbsolute NXOpen.CAE.ResultParameters.GetTensorComponentAbsoluteValue ( )
inline

Get the method used when calculating the absolute values for the derived components of CAE.Result.DataType.Tensor like CAE.Result.Component.MaximumPrincipal

Created in NX8.0.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.Unit NXOpen.CAE.ResultParameters.GetUnit ( )
inline

Ask result unit

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe NXOpen.CAE.Result.Averaging NXOpen.CAE.ResultParameters.InitAveragingCriteria ( )
inline

Ask default averaging criteria

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe bool NXOpen.CAE.ResultParameters.IsForcedElementResult ( )
inline

Ask whether the result is converted as element result

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe bool NXOpen.CAE.ResultParameters.IsMidnodeValueDisplayed ( )
inline

Ask whether the result at mid nodes are ignored

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe bool NXOpen.CAE.ResultParameters.IsProjectOnNodeNormal ( )
inline

Is result vector projected on node normal

Created in NX1872.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Returns
unsafe void NXOpen.CAE.ResultParameters.MakeElementResult ( bool  elementResult)
inline

Make Nodal and Element-Nodal result to Element Result.

Does not do anything if the result is element result already. To define what value should be used to represent an element, use NXOpen.CAE.ResultParameters.SetElementValueCriterion

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
elementResult
unsafe void NXOpen.CAE.ResultParameters.SetAbsoluteValue ( bool  absolute)
inline

Set all values to absolute values.

Warning: Once converted to absolute value it is not possible to revert to original values.

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
absolute
unsafe void NXOpen.CAE.ResultParameters.SetAcousticWeighting ( NXOpen.CAE.SignalProcessingPlotData.AcousticalWeighting  weighting)
inline

Set the acoustic weighting.

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
weighting
unsafe void NXOpen.CAE.ResultParameters.SetAveragingCriteria ( NXOpen.CAE.Result.Averaging  average)
inline

Set averaging criteria

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
average
unsafe void NXOpen.CAE.ResultParameters.SetAxiSymmetricParameters ( NXOpen.CAE.AxiSymmetricParameters  type)
inline

Set Axi Symmetric Parameters type

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
type
unsafe void NXOpen.CAE.ResultParameters.SetBeamFilletRadius ( double  beamFilletRadius)
inline

Sets the fillet radius as a fraction of the adjacent dimensions

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
beamFilletRadius
unsafe void NXOpen.CAE.ResultParameters.SetBeamFillets ( bool  beamFillets)
inline

Sets the fillets flag

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
beamFillets
unsafe void NXOpen.CAE.ResultParameters.SetBeamResultsInLocalCoordinateSystem ( bool  local)
inline

Presents beam results in local coordinate system (if flag is true) or in the same coordinate system as the rest of the model

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
local
unsafe void NXOpen.CAE.ResultParameters.SetBeamSection ( NXOpen.CAE.Result.BeamSection  section)
inline

Set section where Beam results are defined - same as NXOpen.CAE.ResultParameters.GetResultBeamSection apart from using CAE.Result.BeamSection instead of CAE.Result.Section

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
section
unsafe void NXOpen.CAE.ResultParameters.SetCalculateBeamStrResults ( bool  calcBeamStrResults)
inline

Sets a flag to calculate beam stresses and strains from element forces and section geometry (if available).

Does not affect other result types and element types

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
calcBeamStrResults
unsafe void NXOpen.CAE.ResultParameters.SetComplexCriterion ( NXOpen.CAE.Result.Complex  complex)
inline

Set complex criteria

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
complex
unsafe void NXOpen.CAE.ResultParameters.SetComputationType ( NXOpen.CAE.Result.ComputationType  computeType)
inline

Set computing type.

Created in NX7.5.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
computeType
unsafe void NXOpen.CAE.ResultParameters.SetComputeOnVisible ( bool  excludeElements)
inline

Exclude or include elements which are not visible for Averaging, Summing, Gap/Discontinuity calculations

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
excludeElements
unsafe void NXOpen.CAE.ResultParameters.SetCoordinateSystem ( NXOpen.CAE.Result.CoordinateSystem  coordinate)
inline

Set result coordinate system

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
coordinate
unsafe void NXOpen.CAE.ResultParameters.SetCyclicSymmetricParameters ( NXOpen.CAE.CyclicSymmetricParameters  type)
inline

Set Cyclic Symmetric Parameters type

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
type
unsafe void NXOpen.CAE.ResultParameters.SetDBReference ( double  dBreference)
inline

Set the dB Reference value

Created in NX11.0.0

Deprecated in NX12.0.0. Use NXOpen.CAE.ResultParameters.GetDbSettings instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
dBreference
unsafe void NXOpen.CAE.ResultParameters.SetDBscale ( NXOpen.CAE.Result.DbScale  dbScale)
inline

Set the dB Scale value

Created in NX11.0.0

Deprecated in NX12.0.0. Use NXOpen.CAE.ResultParameters.GetDbSettings instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
dbScale
unsafe void NXOpen.CAE.ResultParameters.SetDBScaling ( int  dBscaling)
inline

Set the dB Scaling on or off

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
dBscaling
unsafe void NXOpen.CAE.ResultParameters.SetDiscontinuityMethod ( NXOpen.CAE.Result.DiscontinuityMethod  discontinuity)
inline

Set discontinuity method

Created in NX12.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
discontinuity
unsafe void NXOpen.CAE.ResultParameters.SetElementValueCriterion ( NXOpen.CAE.Result.ElementValueCriterion  criteria)
inline

Set how element the result is defined This option is only valid for nodal and elemen-nodal result; dose not do anything for element result.

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
criteria
unsafe void NXOpen.CAE.ResultParameters.SetExcludeElementsNotVisible ( bool  excludeElements)
inline

Exclude or include elements which are not visible for computing with sum option.

Created in NX7.5.1

Deprecated in NX12.0.0. Use NXOpen.CAE.ResultParameters.SetComputeOnVisible instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
excludeElements
unsafe void NXOpen.CAE.ResultParameters.SetGenericResultType ( NXOpen.CAE.BaseResultType  type)
inline

Set Result type

Created in NX7.5.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
type
unsafe void NXOpen.CAE.ResultParameters.SetIsReferenceNode ( bool  isReferenceNode)
inline

Sets the flag if the reference node will be used for result

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
isReferenceNode
unsafe void NXOpen.CAE.ResultParameters.SetLoadcaseIteration ( int  loadcase,
int  iteration 
)
inline

Set Current loadcase and iteration.

This method has been deprecated. This functionality was moved to this class NXOpen.CAE.BaseResultType , which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType .

Created in NX6.0.2

Deprecated in NX8.0.0. Use NXOpen.CAE.ResultParameters.SetGenericResultType instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
loadcaseloadcase number varies from 0 to N-1
iterationiteration number varies from 0 to N-1
unsafe void NXOpen.CAE.ResultParameters.SetPhaseAngle ( double  angle)
inline

Sets the phase angle at which result will be evaluated.

This is only value if complex result is set to the PhaseAngle type

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
angle
unsafe void NXOpen.CAE.ResultParameters.SetPlyID ( int  plyId)
inline

Set Ply ID

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
plyId
unsafe void NXOpen.CAE.ResultParameters.SetPlyLocation ( NXOpen.CAE.Result.PlyLocation  plyLocation)
inline

Set Ply location

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
plyLocation
unsafe void NXOpen.CAE.ResultParameters.SetProjectOnNodeNormal ( bool  projectOnNodeNormal)
inline

Project result vector on node normal

Created in NX1872.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
projectOnNodeNormal
unsafe void NXOpen.CAE.ResultParameters.SetReferenceNode ( NXOpen.CAE.PostSelectionEntity  referenceNode)
inline

Sets the post selection entity having the node which identifies the reference node used when plotting the result

Created in NX1872.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
referenceNodeNXOpen.CAE.PostSelectionEntity object
unsafe void NXOpen.CAE.ResultParameters.SetReferenceNodeLabel ( int  referenceNodeLabel)
inline

Sets the node label which identifies the reference node used when plotting the result

Created in NX11.0.0

Deprecated in NX1872.0.0. use NXOpen.CAE.ResultParameters.SetReferenceNode

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
referenceNodeLabel
unsafe void NXOpen.CAE.ResultParameters.SetResultBeamSection ( NXOpen.CAE.Result.Section  section)
inline

Set section where beam results are defined This method has been deprecated.

Use NXOpen.CAE.ResultParameters.SetBeamSection instead.

Created in NX7.5.0

Deprecated in NX1847.0.0. Use NXOpen.CAE.ResultParameters.SetBeamSection instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
section
unsafe void NXOpen.CAE.ResultParameters.SetResultComponent ( NXOpen.CAE.Result.Component  component)
inline

Set result component

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
component
unsafe void NXOpen.CAE.ResultParameters.SetResultDataLocation ( NXOpen.CAE.Result.Location  location)
inline

Set FE entity where the result is defined This method has been deprecated.

This functionality was moved to this class NXOpen.CAE.BaseResultType , which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType .

Created in NX6.0.2

Deprecated in NX8.0.0. Use NXOpen.CAE.ResultParameters.GetGenericResultType instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
location
unsafe void NXOpen.CAE.ResultParameters.SetResultDataQuantity ( NXOpen.CAE.Result.Quantity  quantity)
inline

Set result quantity This method has been deprecated.

This functionality was moved to this class NXOpen.CAE.BaseResultType , which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType .

Created in NX6.0.2

Deprecated in NX8.0.0. Use NXOpen.CAE.ResultParameters.GetGenericResultType instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
quantity
unsafe void NXOpen.CAE.ResultParameters.SetResultDataSection ( NXOpen.CAE.Result.Section  section)
inline

Set section of a FE entity where the result is defined This method has been deprecated.

This functionality was moved to this class NXOpen.CAE.BaseResultType , which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType .

Created in NX6.0.2

Deprecated in NX8.0.0. Use NXOpen.CAE.ResultParameters.GetGenericResultType instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
section
unsafe void NXOpen.CAE.ResultParameters.SetResultShellSection ( NXOpen.CAE.Result.Section  section)
inline

Set section where shell results are defined This method has been deprecated.

Use NXOpen.CAE.ResultParameters.SetShellSection instead.

Created in NX7.5.0

Deprecated in NX1847.0.0. Use NXOpen.CAE.ResultParameters.SetShellSection instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
section
unsafe void NXOpen.CAE.ResultParameters.SetResultType ( NXOpen.CAE.Result.Type  type)
inline

Set Result type This method has been deprecated.

This functionality was moved to this class NXOpen.CAE.BaseResultType , which can be obtained by using NXOpen.CAE.ResultParameters.GetGenericResultType .

Created in NX6.0.2

Deprecated in NX8.0.0. Use NXOpen.CAE.ResultParameters.GetGenericResultType instead.

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
type
unsafe void NXOpen.CAE.ResultParameters.SetRotationAxisOfAbsoluteCyndricalCSYS ( NXOpen.CAE.Post.AxisymetricAxis  axis)
inline

Set axis of rotation for axisymmetric results

Created in NX10.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
axis
unsafe void NXOpen.CAE.ResultParameters.SetScale ( double  scale)
inline

Set scale.

This will affect all subsequent result query.

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
scale
unsafe void NXOpen.CAE.ResultParameters.SetSectionPlyLayer ( int  section,
int  ply,
int  layer 
)
inline

Set section, ply and layer

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
section
ply
layer
unsafe void NXOpen.CAE.ResultParameters.SetSelectedCoordinateSystem ( NXOpen.CAE.Result.CoordinateSystemSource  source,
int  id 
)
inline

Set selected coordinate system in which results are to be presented Coordinate systems labels defined in a result file can be retrieved using CAE.Result.GetResultCoordinateSystems

Created in NX7.5.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
source
id
unsafe void NXOpen.CAE.ResultParameters.SetShellResultsInProjectedCoordinateSystem ( bool  projected)
inline

Option to project a CSYS onto the frame of the shell elements.

The objective is to have the constraints and/or results in a local frame to a panel. CSYS is selected by the user and projected onto the required elements. A new local CSYS is then calculated per element as follows: o First direction = projected first direction of the selected CSYS o Second direction = vector product of first direction and each element normal direction o Third direction = each element normal direction

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
projected
unsafe void NXOpen.CAE.ResultParameters.SetShellSection ( NXOpen.CAE.Result.ShellSection  section)
inline

Set section where shell results are defined - same as NXOpen.CAE.ResultParameters.GetResultShellSection apart from using CAE.Result.ShellSection instead of CAE.Result.Section

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
section
unsafe void NXOpen.CAE.ResultParameters.SetSpectrumScaling ( NXOpen.CAE.SignalProcessingPlotData.ScalingType  scaling)
inline

Set the acoustic spectrum scaling option.

Created in NX1847.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
scaling
unsafe void NXOpen.CAE.ResultParameters.SetTensorComponentAbsoluteValue ( NXOpen.CAE.Result.TensorDerivedAbsolute  absolute)
inline

Set the method used when calculating the absolute values for the derived components of CAE.Result.DataType.Tensor like CAE.Result.Component.MaximumPrincipal

Created in NX8.0.1

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
absolute
unsafe void NXOpen.CAE.ResultParameters.SetUnit ( NXOpen.Unit  unit)
inline

Set result unit

Created in NX6.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation") OR sc_results_viewer (" Simcenter Results Viewer")

Parameters
unit

The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.